{
  "name" : "img-trials",
  "artifact-deployer" : {
    "maven" : {
      "repositories" : {
        "release" : {
          "url" : "https://artifacts.alfresco.com/nexus/content/groups/internal",
          "username" : "{{ user `private_maven_repo_username`}}",
          "password" : "{{ user `private_maven_repo_password`}}"
        },
        "staging" : {
          "url" : "https://artifacts.alfresco.com/nexus/content/repositories/internal-staging",
          "username" : "{{ user `private_maven_repo_username`}}",
          "password" : "{{ user `private_maven_repo_password`}}"
        },
        "alfresco-internal-staging" : {
          "url" : "https://artifacts.alfresco.com/nexus/content/groups/staging",
          "username" : "{{ user `private_maven_repo_username`}}",
          "password" : "{{ user `private_maven_repo_password`}}"
        }
      }
    }
  },
  "basic" : {
    "groups" : {
      "sysadmin" : {
        "gid" : 2300
      },
      "wheel" : {
        "gid" : 2400
      }
    },
    "sudo" : {
      "groups" : ["wheel"]
    }
  },
  "alfresco" : {
    "version" : "{{user `alfresco_version`}}",
    "start_service" : false,
    "mailsmtp_databag" : "credentials",
    "mailsmtp_databag_item" : "salty_sendgrid",
    "jmxremote_databag" : "credentials",
    "jmxremote_databag_items" : ["jmx_systemsmonitor", "jmx_systemscontrol"]
  },
  "hosts" : {
    "host_list" : {
      "minislaven1 minislaven1.alfresco.pri" : "10.80.217.144"
    }
  },
  "snort" : {
    "start_snort" : false
  },
  "nginx" : {
    "disable_nginx_init" : true
  },
  "chef_client" : {
    "source_cookbook_path" : "/tmp/packer-chef-solo/cookbooks-0",
    "source_data_bag_path" : "/tmp/packer-chef-solo/data_bags"
  },
  "run_list" : ["img-trials::default"],
  "_images" : {
    "provisioners" : {
      "network-interface" : "https://raw.githubusercontent.com/Alfresco/alfresco-spk/v0.8.1/packer/provisioners/network-interface.json",
      "chef-alfresco" : "https://raw.githubusercontent.com/Alfresco/alfresco-spk/v0.8.1/packer/provisioners/chef.json",
      "image-cleanup" : "https://raw.githubusercontent.com/Alfresco/alfresco-spk/v0.8.1/packer/provisioners/image-cleanup.json"
    },
    "builders" : {
      "amazon-ebs" : "https://raw.githubusercontent.com/Alfresco/alfresco-spk/v0.8.1/packer/builders/amazon-ebs.json"
    },
    "variables" : {
      "private_maven_repo_username" : "{{ env `MVN_CHEF_REPO_USERNAME`}}",
      "private_maven_repo_password" : "{{ env `MVN_CHEF_REPO_PASSWORD`}}",
      "alfresco_version" : "{{ env `ALFRESCO_VERSION` }}",
      "data_bags_path" : "{{env `DATABAGS_FOLDER_PATH`}}",
      "chef_version" : "12.19.36",
      "chef_prevent_sudo" : "false",
      "run_list" : "img-trials::default",
      "access_key" : "{{env `AWS_ACCESS_KEY_ID`}}",
      "secret_key" : "{{env `AWS_SECRET_ACCESS_KEY`}}",
      "region" : "us-east-1",
      "source_ami" : "ami-6d1c2007",
      "instance_type" : "m3.large",
      "ssh_username" : "centos",
      "security_group_ids"  : "sg-cd66b6a0,sg-aa9677c2",
      "ami_name" : "Image Trials {{env `COOKBOOK_VERSION`}} - {{timestamp}}",
      "ami_description" : "Image Trials {{env `COOKBOOK_VERSION`}} - {{timestamp}}",
      "ami_virtualization_type"  : "hvm",
      "root_disk_size" : "60",
      "ami_root_disk_size" : "20",
      "root_delete_on_termination" : "true",
      "ami_users"  : "179276412545"
    }
  },
  "_local" : {
    "ip" : "192.168.33.61",
    "ram" : "4096",
    "cpus" : "2"
  }
}
